
local UNDEADORCWARRIOR = Bot.Template("UNDEADORCWARRIOR", "KYRMIR_UNDEADORCWARRIOR"); 

UNDEADORCWARRIOR.setLevel(0);
UNDEADORCWARRIOR.setMagicLevel(0);

UNDEADORCWARRIOR.setHealth(800);
UNDEADORCWARRIOR.setRespawnTime(230);

UNDEADORCWARRIOR.setMeleeWeapon(Items.id("ITMW_2H_ORCAXE_01"));
UNDEADORCWARRIOR.setRangedWeapon(Items.id("ITRW_CROSSBOW_H_01"));
UNDEADORCWARRIOR.setSkillWeapon(WEAPON_2H, 100);
UNDEADORCWARRIOR.setSkillWeapon(WEAPON_CBOW, 100);

//UNDEADORCWARRIOR.setDamage(DAMAGE_EDGE, 140); // SET IN AI FILE

UNDEADORCWARRIOR.setProtection(DAMAGE_EDGE, 0);
UNDEADORCWARRIOR.setProtection(DAMAGE_BLUNT, 500);
UNDEADORCWARRIOR.setProtection(DAMAGE_FIRE, 0);
UNDEADORCWARRIOR.setProtection(DAMAGE_MAGIC, 0);
UNDEADORCWARRIOR.setProtection(DAMAGE_POINT, 0);

// Fight system
UNDEADORCWARRIOR.setWarnTime(6);
UNDEADORCWARRIOR.setHitDistance(240);
UNDEADORCWARRIOR.setChaseDistance(3600);
UNDEADORCWARRIOR.setDetectionDistance(3000);
// UNDEADORCWARRIOR.setAttackSpeed(2500); // SET IN AI FILE

UNDEADORCWARRIOR.setInitiativeFunction(UNDEADORCWARRIOR_AI);

UNDEADORCWARRIOR.setRoutineFunction(function(bot)
{
    if(bot.getLastAni() != null) return;
    
    bot.playAni("T_PERCEPTION");
        bot.setAngle(rand() % 360);
});

registerMonsterTemplate("KYRMIR_UNDEADORCWARRIOR", UNDEADORCWARRIOR);

// Drop
registerMonsterReward("KYRMIR_UNDEADORCWARRIOR", Reward.Content(300)
    .addDrop(Reward.Drop("ITMI_GOLD", 150, 150))
);

// Spawnlist
spawnBot(UNDEADORCWARRIOR, -12494, -3287, 32880, "ADDONWORLD.ZEN");
spawnBot(UNDEADORCWARRIOR, -18775, -2734, -17047, "ADDONWORLD.ZEN");
spawnBot(UNDEADORCWARRIOR, -21546, -3592, -18206, "ADDONWORLD.ZEN");
spawnBot(UNDEADORCWARRIOR, -19830, -4020, -19632, "ADDONWORLD.ZEN");
spawnBot(UNDEADORCWARRIOR, 2640, -44, -3034, "ADDONWORLD.ZEN");
spawnBot(UNDEADORCWARRIOR, -1342, 824, -1300, "ADDONWORLD.ZEN");
spawnBot(UNDEADORCWARRIOR, -2500, 674, -3163, "ADDONWORLD.ZEN");
spawnBot(UNDEADORCWARRIOR, -7092, -4720, -22118, "ADDONWORLD.ZEN");
spawnBot(UNDEADORCWARRIOR, -12678, -4321, -28952, "ADDONWORLD.ZEN");
spawnBot(UNDEADORCWARRIOR, -12952, -3489, -18356, "ADDONWORLD.ZEN");

spawnBot(UNDEADORCWARRIOR, 20822, 7657.74, -35352, "COLONY.ZEN");
spawnBot(UNDEADORCWARRIOR, 21026, 7657.86, -34972, "COLONY.ZEN");
spawnBot(UNDEADORCWARRIOR, 20991.4, 7857.13, -35829.9, "COLONY.ZEN");
spawnBot(UNDEADORCWARRIOR, 20363, 7844.49, -37364, "COLONY.ZEN");
spawnBot(UNDEADORCWARRIOR, 21164.6, 7844.33, -37792, "COLONY.ZEN");
spawnBot(UNDEADORCWARRIOR, 19429, 7919.41, -37523, "COLONY.ZEN");
spawnBot(UNDEADORCWARRIOR, 19236, 7919.38, -38766, "COLONY.ZEN");
spawnBot(UNDEADORCWARRIOR, 22619, 7919.53, -39276, "COLONY.ZEN");
spawnBot(UNDEADORCWARRIOR, 22452, 7919.41, -39748, "COLONY.ZEN");
spawnBot(UNDEADORCWARRIOR, 23434.6, 7919.33, -39452, "COLONY.ZEN");
spawnBot(UNDEADORCWARRIOR, 23284, 7919.41, -40082, "COLONY.ZEN");
spawnBot(UNDEADORCWARRIOR, -24503, 4575.47, -20346, "COLONY.ZEN");
spawnBot(UNDEADORCWARRIOR, -20325.3, 4289.39, -23082.1, "COLONY.ZEN");
spawnBot(UNDEADORCWARRIOR, -25253.4, 4587.43, -20384, "COLONY.ZEN");
spawnBot(UNDEADORCWARRIOR, -20216, 4273.86, -23180.6, "COLONY.ZEN");
spawnBot(UNDEADORCWARRIOR, -20477.3, 4298.63, -22928.9, "COLONY.ZEN");
spawnBot(UNDEADORCWARRIOR, -21400, 5013.17, -23808, "COLONY.ZEN");
spawnBot(UNDEADORCWARRIOR, -21248.9, 3296.97, -21229.4, "COLONY.ZEN");
spawnBot(UNDEADORCWARRIOR, -21441.5, 3268.76, -21144.4, "COLONY.ZEN");
spawnBot(UNDEADORCWARRIOR, -13992, 3150.85, -15926, "COLONY.ZEN");
spawnBot(UNDEADORCWARRIOR, -9375, 4251.62, -20256, "COLONY.ZEN");
spawnBot(UNDEADORCWARRIOR, -19315, 4873.12, 31455, "COLONY.ZEN");
spawnBot(UNDEADORCWARRIOR, -19087, 4940.32, 31491, "COLONY.ZEN");
spawnBot(UNDEADORCWARRIOR, -18780, 4849.04, 31578, "COLONY.ZEN");
spawnBot(UNDEADORCWARRIOR, 28800.8, -2480.31, 6295.15, "COLONY.ZEN");
spawnBot(UNDEADORCWARRIOR, -881, 3137.44, 20529, "COLONY.ZEN");
spawnBot(UNDEADORCWARRIOR, -795.999, 3104.73, 20704, "COLONY.ZEN");
spawnBot(UNDEADORCWARRIOR, -1278.37, 3241.86, 21414.3, "COLONY.ZEN");
spawnBot(UNDEADORCWARRIOR, 1233.05, 3786.13, 20109.5, "COLONY.ZEN");
spawnBot(UNDEADORCWARRIOR, 17697.5, 6435.88, -37050.1, "COLONY.ZEN");
spawnBot(UNDEADORCWARRIOR, -8004.45, 3277.47, -36817.1, "COLONY.ZEN");
spawnBot(UNDEADORCWARRIOR, -6224.98, 3964.76, -32507.6, "COLONY.ZEN");
spawnBot(UNDEADORCWARRIOR, -7707.66, 4243.37, -35294.9, "COLONY.ZEN");
spawnBot(UNDEADORCWARRIOR, -6800.3, 4183.76, -33978.9, "COLONY.ZEN");
spawnBot(UNDEADORCWARRIOR, 17754.7, 5857.22, -30653.9, "COLONY.ZEN");
spawnBot(UNDEADORCWARRIOR, 17007.7, 5881.42, -30769.6, "COLONY.ZEN");
spawnBot(UNDEADORCWARRIOR, 17668, 5695.87, -32148.7, "COLONY.ZEN");
spawnBot(UNDEADORCWARRIOR, 18049, 5227.14, -34205.5, "COLONY.ZEN");
spawnBot(UNDEADORCWARRIOR, 18495.6, 5218.79, -33990.7, "COLONY.ZEN");
spawnBot(UNDEADORCWARRIOR, 19732.8, 5137.16, -33471.4, "COLONY.ZEN");
spawnBot(UNDEADORCWARRIOR, 18378.7, 5985.65, -35792.8, "COLONY.ZEN");
spawnBot(UNDEADORCWARRIOR, 17136.1, 5830.9, -37284, "COLONY.ZEN");
spawnBot(UNDEADORCWARRIOR, 17364.6, 6387.86, -37625.5, "COLONY.ZEN");
spawnBot(UNDEADORCWARRIOR, 18244.3, 6778.27, -36261.1, "COLONY.ZEN");